Bug 985974 - document GPT partition type for LVM
Summary: document GPT partition type for LVM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.6
Hardware: All
OS: All
low
low
Target Milestone: rc
: ---
Assignee: Peter Rajnoha
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-18 15:54 UTC by Christoph Anton Mitterer
Modified: 2016-05-11 01:14 UTC (History)
11 users (show)

Fixed In Version: lvm2-2.02.140-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-11 01:14:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0964 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2016-05-10 22:57:40 UTC

Description Christoph Anton Mitterer 2013-07-18 15:54:41 UTC
Hi.

The pvcreate(8) manpage lists the perferred MBR partition type (0x8E) for LVM.

Please add the same for GPT partitions, where it is (according to https://en.wikipedia.org/wiki/GUID_Partition_Table#Partition_type_GUIDs):
E6D6D379-F507-44C2-A23C-238F2A3DF928

Cheers,
Chris.

Comment 3 Peter Rajnoha 2015-10-14 13:53:56 UTC
OK, let's add this one...

Comment 7 Roman Bednář 2016-02-15 12:48:00 UTC
VERIFIED

GPT partition type added to pvcreate(8) manpage.


[root@virt-010 ~]# man pvcreate | grep -A 5 -B 5 GPT
DESCRIPTION
       pvcreate initializes PhysicalVolume for later use by the Logical Volume
       Manager  (LVM).   Each  PhysicalVolume  can  be a disk partition, whole
       disk, meta device, or loopback file.  For DOS disk partitions, the par-
       tition id should be set to 0x8e using fdisk(8), cfdisk(8), or a equiva-
       lent.    For    GUID    Partition    Table    (GPT),    the    id    is
       E6D6D379-F507-44C2-A23C-238F2A3DF928.  For  whole disk devices only the
       partition table must be erased, which will effectively destroy all data
       on that disk.  This can be done by zeroing the first sector with:

       dd if=/dev/zero of=PhysicalVolume bs=512 count=1




Tested on:

2.6.32-614.el6.x86_64

lvm2-2.02.141-2.el6    BUILT: Wed Feb 10 14:49:03 CET 2016
lvm2-libs-2.02.141-2.el6    BUILT: Wed Feb 10 14:49:03 CET 2016
lvm2-cluster-2.02.141-2.el6    BUILT: Wed Feb 10 14:49:03 CET 2016
udev-147-2.71.el6    BUILT: Wed Feb 10 14:07:17 CET 2016
device-mapper-1.02.115-2.el6    BUILT: Wed Feb 10 14:49:03 CET 2016
device-mapper-libs-1.02.115-2.el6    BUILT: Wed Feb 10 14:49:03 CET 2016
device-mapper-event-1.02.115-2.el6    BUILT: Wed Feb 10 14:49:03 CET 2016
device-mapper-event-libs-1.02.115-2.el6    BUILT: Wed Feb 10 14:49:03 CET 2016
device-mapper-persistent-data-0.6.2-0.1.rc1.el6    BUILT: Wed Feb 10 16:52:15 CET 2016

Comment 8 Roman Bednář 2016-02-18 12:23:29 UTC
Additional note:

The GUID code might be a confusing information as some tools don't require this specific code as input. Like in fdisk user can list the partition IDs and select them by typing the code provided on the screen (8e for LVM partition) and do the same in gdisk (8e00  for LVM partition) alternatively user can use hex code in fdisk to select partition type (0x8e) and GUID in gdisk (E6D6D379-F507-44C2-A23C-238F2A3DF928). Both methods work in the same way.

Comment 10 errata-xmlrpc 2016-05-11 01:14:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0964.html


Note You need to log in before you can comment on or make changes to this bug.